public inbox for pve-devel@lists.proxmox.com
 help / color / mirror / Atom feed
From: "Fabian Grünbichler" <f.gruenbichler@proxmox.com>
To: pve-devel@lists.proxmox.com
Subject: [pve-devel] [PATCH manager] d/postinst: make deb-systemd-invoke non-fatal
Date: Thu, 11 Apr 2024 12:10:48 +0200	[thread overview]
Message-ID: <20240411101048.305510-1-f.gruenbichler@proxmox.com> (raw)

else this can break an upgrade for unrelated reasons (regular debhelper also
constructs the restart invocations like this, it even redirects output to
/dev/null)

Signed-off-by: Fabian Grünbichler <f.gruenbichler@proxmox.com>
---
 debian/postinst | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/debian/postinst b/debian/postinst
index 6138ef6d0..2799f581c 100755
--- a/debian/postinst
+++ b/debian/postinst
@@ -123,11 +123,11 @@ case "$1" in
     # the ExecStartPre doesn't triggers on service reload, so just in case
     pvecm updatecerts --silent || true
 
-    deb-systemd-invoke reload-or-try-restart pvedaemon.service
-    deb-systemd-invoke reload-or-try-restart pvestatd.service
-    deb-systemd-invoke reload-or-try-restart pveproxy.service
-    deb-systemd-invoke reload-or-try-restart spiceproxy.service
-    deb-systemd-invoke reload-or-try-restart pvescheduler.service
+    deb-systemd-invoke reload-or-try-restart pvedaemon.service || true
+    deb-systemd-invoke reload-or-try-restart pvestatd.service || true
+    deb-systemd-invoke reload-or-try-restart pveproxy.service || true
+    deb-systemd-invoke reload-or-try-restart spiceproxy.service || true
+    deb-systemd-invoke reload-or-try-restart pvescheduler.service || true
 
     exit 0;;
 
@@ -199,7 +199,7 @@ case "$1" in
                 dh_action="start"
             fi
             if systemctl -q is-enabled "$unit"; then
-                deb-systemd-invoke $dh_action "$unit"
+                deb-systemd-invoke $dh_action "$unit" || true
             fi
         done
     fi
-- 
2.39.2





             reply	other threads:[~2024-04-11 10:10 UTC|newest]

Thread overview: 2+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-04-11 10:10 Fabian Grünbichler [this message]
2024-04-17 14:56 ` [pve-devel] applied: " Thomas Lamprecht

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20240411101048.305510-1-f.gruenbichler@proxmox.com \
    --to=f.gruenbichler@proxmox.com \
    --cc=pve-devel@lists.proxmox.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox
Service provided by Proxmox Server Solutions GmbH | Privacy | Legal